Failed to build gitpod component typescript-grpc lib using leeway

os: Ubuntu (18.04.2 LTS (Bionic Beaver))
node version: v12.16.2
gitpod version: 0.6.0 self-hosted
leeway version: 0.2.0-fe5c3b2

I tried to build lib component typescript-grpc using this command dozens of times on the root directory of Gitpod project.

export LEEWAY_WORKSPACE_ROOT =$PWD 
leeway build components/supervisor-api/typescript-grpc:lib -v

Sadly, the failure result showed up every time I tried. The detailed message of building was:

[components/supervisor-api/typescript-grpc:lib] error /tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/grpc-tools: Command failed. 
[components/supervisor-api/typescript-grpc:lib] Exit code: 1 
[components/supervisor-api/typescript-grpc:lib] Command: node-pre-gyp install 
[components/supervisor-api/typescript-grpc:lib] Arguments: [components/supervisor-api/typescript-grpc:lib] Directory: /tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/grpc-tools 
[components/supervisor-api/typescript-grpc:lib] Output: 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp info it worked if it ends with ok 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp info using node-pre-gyp@0.15.0 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp info using node@12.16.2 | linux | x64 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp WARN Using needle for node-pre-gyp https download 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp info check checked for "/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/grpc-tools/bin/grpc_tools.node" (not found) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp http GET https://node-precompiled-binaries.grpc.io/grpc-tools/v1.9.1/linux-x64.tar.gz 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp http 200 https://node-precompiled-binaries.grpc.io/grpc-tools/v1.9.1/linux-x64.tar.gz 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! install error 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack Error: There was a fatal problem while downloading/extracting the tarball 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at afterExtract (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/node-pre-gyp/lib/install.js:100:33) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack.afterTarball (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/node-pre-gyp/lib/install.js:176:9) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack.emit (events.js:310:20) [components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack.[maybeClose] (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/tar/lib/unpack.js:171:12) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack.opt.ondone (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/tar/lib/unpack.js:89:23) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack.emit (events.js:310:20) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack. 
[emit] (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/tar/lib/parse.js:235:12) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack. 
[maybeEnd] (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/tar/lib/parse.js:351:17) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack. 
[consumeChunk] (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/tar/lib/parse.js:359:21) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! stack at Unpack.write (/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/tar/lib/parse.js:315:25) 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! System Linux 4.4.0-18362-Microsoft 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! command "/usr/local/bin/node" "/tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/grpc-tools/node_modules/.bin/node-pre-gyp" "install" 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! cwd /tmp/build/components-supervisor-api-typescript-grpc--lib.7d464a8081d27f349c10d918ccb3b9844ea4ce5c/node_modules/grpc-tools 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! node -v v12.16.2 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! node-pre-gyp -v v0.15.0 
[components/supervisor-api/typescript-grpc:lib] node-pre-gyp ERR! not ok 
[components/supervisor-api/typescript-grpc:lib] There was a fatal problem while downloading/extracting the tarball

It seems that something wrong occurred during the command node-pre-gyp install was running.
So I tried to get into the module grcp-tools, and ran that command manually. The result was successful. So I don’t know why it can’t succeed using leeway build.
Could anyone please help me find out what happens?

Cross-posting follow-up issue: